Bug 982097 - vdsm: vdsm is not working if vdsm-gluster packages are not installed
vdsm: vdsm is not working if vdsm-gluster packages are not installed
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: vdsm (Show other bugs)
Unspecified Linux
high Severity high
: ---
: RHGS 2.1.0
Assigned To: Timothy Asir
Depends On:
  Show dependency treegraph
Reported: 2013-07-08 03:05 EDT by Timothy Asir
Modified: 2015-05-15 14:37 EDT (History)
7 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-22.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-23 18:26:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Timothy Asir 2013-07-08 03:05:20 EDT
Description of problem:

Unable to start vdsm service if vdsm-gluster packages are not installed.
vdsm faild with supervdsm connection error during any vdsm command execution

Version-Release number of selected component (if applicable):

How reproducible: Always

Steps to Reproduce:
1. install vdsm packages except vdsm-gluster rpm
2. start the vdsm service
3. try any vdsm command 

Expected results:
it shoud work without any issue

Additional info:

MainThread::ERROR::2013-07-08 10:49:52,607::misc::173::Storage.Misc::(panic) Panic: Couldn't connect to supervdsm
Traceback (most recent call last):
  File "/usr/share/vdsm/supervdsm.py", line 195, in launch
    utils.retry(self._connect, Exception, timeout=60, tries=3)
  File "/usr/lib64/python2.6/site-packages/vdsm/utils.py", line 935, in retry
    return func()
  File "/usr/share/vdsm/supervdsm.py", line 181, in _connect
  File "/usr/lib64/python2.6/multiprocessing/managers.py", line 474, in connect
    conn = Client(self._address, authkey=self._authkey)
  File "/usr/lib64/python2.6/multiprocessing/connection.py", line 143, in Client
    c = SocketClient(address)
  File "/usr/lib64/python2.6/multiprocessing/connection.py", line 263, in SocketClient
  File "<string>", line 1, in connect
error: [Errno 2] No such file or directory
MainThread::INFO::2013-07-08 10:49:52,686::vdsm::88::vds::(run) I am the actual vdsm 4.10.2-22.5.el6rhs localhost.localdomain (2.6.32-358.11.1.el6.x86_64)
Comment 2 Timothy Asir 2013-07-09 08:30:21 EDT
There is a bug in VDSM. It's try to fetch gluster public functions without checking its availability, this fails supervdsm to start and vdsm doesn't work.
Comment 3 Prasanth 2013-07-09 08:44:40 EDT
Overwritten due to Mid-air-collision! Reverting he changes.
Comment 4 Prasanth 2013-07-17 06:54:25 EDT
Verified in vdsm-4.10.2-22.6
Comment 5 Scott Haines 2013-09-23 18:26:01 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.